Subject: [Sipping] Collision free Ids: Call-ID, icid-value, Session-ID

From: Gaurav Nangla <[email-masked]>
Date: Mon, 7 Dec 2009 14:11:30 +0530

Hi there!

Is there an approppriate algorithm like the 'Session-ID generation algorithm'
proposed in http://tools.ietf.org/html/draft-kaplan-sip-session-id-02, for
the Call-ID header and icid-value (P-Charging-Vector) param.

If another developer attempts to generate an id (vis-a-vis the Call-ID
header and icid-value (P-Charging-Vector) param) using a different algorithm
than the one I've cooked up, I'll have collisions with their ids, i.e. they
will no longer be globally unique.

Is there an appendix with an algorithm in the specs for generating these ids
that I'm missing or is this a real problem?

-- 
Gaurav